Subject: [bug#60521] [PATCH] home: Add home-stow-migration-service.

From: Sergey Trofimov <[email-masked]>
Date: Mon, 29 Jan 2024 16:19:49 +0100

Giacomo <[email-masked]> writes:

> Hi Ludo' and Sergey,
> I'm not sure my previous emails reached you since I sent them to 
> the -done address of the bug. I'm pasting
>
> We either need to change the manual or the code, I don't have a 
> clear preference . At this point I'm just happy this is in Guix 
> but
> right now the manual matches Stow's usual directory layout. The 
> code in this state contradicts the documentation and does not 
> take
> into account the additional "git" directory given dotfiles 
> directory that looks like this:
>
> tree -a dotfiles/
> dotfiles/
> └── git
> └── .gitconfig
>
> 2 directories, 1 file
>
> this is [0] the layout that is documented in the manual, that 
> Stow suggests and that I'm trying to implement.
I don't think stow suggests any layout. I wasn't able to find that 
in the manual.

> If you have something else in mind could you please share your 
> layout?

My dotfiles are at https://github.com/sarg/dotfiles/

Previously I've used `stow -d ~/.dotfiles zsh awesome git vim ...` 
to create the symlinks. Just to emphasize - package list is a 
mandatory parameter to `stow`. It should be supported by the 
home-dotfiles-service if it is intended as a replacement for 
`stow`.